### Hierarchy

- RegExp

## Index

### Properties

- global
- ignoreCase
- lastIndex
- multiline
- source

### Methods

- compile
- exec
- test

## Properties

### global

global: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:926

Returns a Boolean value indicating the state of the global flag (g) used with a regular expression. Default is false. Read-only.

### ignoreCase

ignoreCase: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:929

Returns a Boolean value indicating the state of the ignoreCase flag (i) used with a regular expression. Default is false. Read-only.

### lastIndex

lastIndex: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:934

### multiline

multiline: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:932

Returns a Boolean value indicating the state of the multiline flag (m) used with a regular expression. Default is false. Read-only.

### source

source: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:923

Returns a copy of the text of the regular expression pattern. Read-only. The regExp argument is a Regular expression object. It can be a variable name or a literal.

## Methods

### compile

- compile(): this

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:937

  #### Returns this

### exec

- exec(string: string): RegExpExecArray | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:914

  Executes a search on a string using a regular expression pattern, and returns an array containing the results of that search.

  #### Parameters

  - ##### string: string

    The String object or string literal on which to perform the search.

  #### Returns RegExpExecArray | null

### test

- test(string: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:920

  Returns a Boolean value that indicates whether or not a pattern exists in a searched string.

  #### Parameters

  - ##### string: string

    String on which to perform the search.

  #### Returns boolean

Generated using TypeDoc